This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 52651 - Kernel panics trying to find init
Kernel panics trying to find init
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
roswell
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-27 13:55 EDT by David Crim
Modified: 2007-04-18 12:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-30 10:42:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Crim 2001-08-27 13:55:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-3dac i686; en-US; rv:0.9.1)
Gecko/20010622

Description of problem:
Both Roswell and Roswell2 seemed to install fine, but I received the
following error when trying to reboot:

hde1: bad access: block=2, count=2
end_request: I/O error, dev 21:01 (hde),sector 2
EXT3-fs: unable to read super block
mount: error 22 mounting ext3
pivotroot: pivot_root (/sysroot,/sysroot/init.d) failed:2
Freeing unused kernel memory: 232K freed
Kernel panic: no init found. Try passing init= option to kernel!


I installed Roswell as an upgrade from RedHat 7.1 and Roswell 2 as a fresh
install. Both had the same failure. Using the install disk in rescue mode
allowed the installation to be mounted and everything seems fine.

Installing the kernel from RedHat 7.1 fixes the problem. Also, compilling a
kernel from the Roswell kernel-source RPM and using the BOOT configuration
as a starting point works.

Hardware:

Asus A7V133
AMD K7 Thunderbird 1.1 GHZ
two 40 GB Maxtor drives on the built-in Promise controller,
  with the Promise raid turned off.
256 MB RAM

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Roswell
2. Reboot
3.
	

Actual Results:  Kernel starts to boot, then I receive the error message above.

Expected Results:  System should boot.

Additional info:

hde1: bad access: block=2, count=2
end_request: I/O error, dev 21:01 (hde),sector 2
EXT3-fs: unable to read super block
mount: error 22 mounting ext3
pivotroot: pivot_root (/sysroot,/sysroot/init.d) failed:2
Freeing unused kernel memory: 232K freed
Kernel panic: no init found. Try passing init= option to kernel!
Comment 1 Glen Foster 2001-08-27 15:19:12 EDT
We're pushing out a version of Rawhide with a kernel that we believes fixes
this.  Can you try that and then report your results back to this defect,
please?
Comment 2 David Crim 2001-08-27 17:56:20 EDT
I would be glad to try out the new kernel. What will the package version number be?
Comment 3 Christopher Keller 2001-08-28 18:41:01 EDT
Dave and I have been talking on the roswell-list. This is, in fact, the exact
same behavior I'm getting, except I'm currently seeing it under 7.1 and the EXT2
filesystem. I'm trying arjan's 2.4.3.17 patch tonight, as requested, but I'd be
happy to try a rawhide patch as well.
Comment 4 David Crim 2001-08-29 14:01:16 EDT
I tried kernel-2.4.7-2.9.athlon.rpm, but still have the same problem. However,
kernel-BOOT-2.4.7-2.9.i386.rpm does boot, as I have seen with prior kernels. Are
there any newer kernels I should be watching the mirrors for?
Comment 5 Christopher Keller 2001-08-29 14:55:07 EDT
I tried kernel-2.4.7.2-9.athlon, I compiled my own 2.4.7.2, as well as arjan's
2.4.3-17; all three failed. What exactly is the difference between
kernel-2.4.7-2.9 and kernel-BOOT-2.4.7-2.9? I haven't verified that it works for
me (as it does Dave), but what would be the difference in the two?
Comment 6 David Crim 2001-08-30 10:42:40 EDT
kernel-2.4.7-2.19.athlon.rpm worked on my system.

Thanks for all the hard work resolving these bugs.

Note You need to log in before you can comment on or make changes to this bug.